# Gizmo Reloaded
## An intuitive advanced building tool

This is published build of the Gizmo Reloaded mod, fixed for compatibility with Valheim 0.207.2 - until an official update to this mod is made. **Full credit for the mod remains with its original author, and the fix has been provided upstream**.

==== Original readme below ====

This is an updated version of the amazing Gizmo project by Rolopogo (https://github.com/rolopogo/) who gave me permission to update and maintain this mod.

## FEATURES
- Rotate objects in all three axes using modifier keys and the scroll wheel
- Intuitive gizmo helps visualize rotations
- Increased rotational snap precision with ability to cycle through any number of different snap divisions. By default the snap divisions are 8, 16 (vanilla), 32, 64, 128 (Can change snap divisions in config)
- Rotate in the Y (Green) plane with no modifier keys
- Rotate in the X (Red) plane with LControl (by default)
- Rotate in the Z (Blue) plane with LAlt (by default)
- Reset all axes by hitting V (by default)
- Go to next Snap Divisions with NumpadPlus (by default)
- Go to previous Snap Divisions with NumpadMinus (by default)
- Cycle through the Axis DisplayModes with KeypadEnter (by default) - DisplayModes are ShowAll (Default), ShowSelected and None
- Editable Tools Blacklist in config file. By default Gizmo rotations are available when using any item that has a build table associated with it EXCEPT for the Hoe. Additional tools can be blacklisted by adding their unlocalized item name to the "BlockedTools" line in the config

## INSTALLATION
Copy GizmoReloaded.dll into Valheim/BepInEx/plugins

## CHANGELOG
### 1.1.5
- Bugfixed issue throwing errors in bepinex log
### 1.1.4
- Changed from a whitelist tools model to a blacklist tools model that should play more nicely with mods that add additional tools to the game. By default all items that have a build table are enabled EXCEPT for the Hoe
### 1.1.2
- Gizmos no longer rotate when building menu is opened and scrollwheel is used (Fix for when Building Menu Expansion is installed)
- Added a way to whitelist different tools for use with Gizmos, by default the Hammer, Cultivator, BlueprintRune and the PlantIt Shovel are whitelisted - is configureable in cfg
### 1.1.0
- Killed Gimbal lock
### 1.0.2
- Added ability to swap between show all axis, show only selected axis, and show no axis (Default NumpadEnter to cycle)
- Some bugfixes
### 1.0.1
- Added ability to toggle visibility of Gizmos
- Toned down the colors and size of the Gizmos slightly
- Fixed Pinky Pink Colors in Vulcan mode and hopefully Unix
### 1.0.0
- Added the ability to choose from any number of different snap divisions to cycle through
- Reset key now resets all snap angles

## OTHER
Sample Video: https://streamable.com/wio6pk
Source: https://github.com/M3TO/GizmoReloaded

